<!-- SETUP = API COMPOSITION-->
<!-- DATA... = API OPTION-->
<script setup>
import {
    computed
} from '@vue/reactivity';

const props = defineProps({
    info_restaurant: Object,
})
const changeBackground = computed(() => ({ backgroundImage: `url(${props.info_restaurant.image})` }));

// const changeBackground = computed(() => {
//     return {
//         backgroundImage: `url(${props.info_restaurant.image})`
//     }
// });
</script>

<template>
    <!-- <div class="restaurant-card">
        <router-link
            :to="{ name: 'Restaurant', params: { name: info_restaurant.name, note: info_restaurant.note, image: info_restaurant.image, time: info_restaurant.drive_time } }">
            <div  class="restaurant-image">
            </div>
            <div class="restaurant-infos">
                <div class="top">
                    <p class="name">
                        {{ info_restaurant.name }}
                    </p>
                    <p class="note">
                        <span>{{ info_restaurant.note }}
                        </span>
                    </p>
                </div>
                <p class="time">
                    {{ info_restaurant.drive_time }}
                </p>
            </div>
        </router-link>
    </div> -->
    <div class="flip-card">
        <div class="flip-card-inner">
            <div class="flip-card-front" :style="changeBackground">
            </div>
            <div class="flip-card-back">
                <h1>{{ info_restaurant.name }}</h1>
                <p>{{ info_restaurant.note }}</p>
                <p>{{ info_restaurant.drive_time }}</p>
            </div>
        </div>
    </div>
</template>

<style lang="scss">
.restaurant-card {
    width: 32%;
    height: 30vh;

    .restaurant-image {
        background-image: url();
        height: 70%;
        background-size: cover;
        background-position: center;
    }

    .restaurant-infos {

        margin: 10px 0px;

        p {
            margin: 0;
        }

        .top {
            display: flex;
            align-items: center;
            justify-content: space-between;

            .note {
                background-color: #eeeeee;
                height: 30px;
                width: 30px;
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: .8rem;
                border-radius: 50%;
            }
        }

        .time {
            font-size: .9rem;
        }
    }

    a {
        text-decoration: none;
        color: black;
    }

    a:visited {
        color: black;
    }

}

.flip-card {
    background-color: transparent;
    width: 300px;
    height: 200px;
    border: 1px solid #f1f1f1;
    perspective: 1000px;
}

.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    background-size: cover;
    background-position: center;
}

.flip-card-front {
    background-color: #bbb;
    color: black;
}

.flip-card-back {
    background-color: grey;
    color: white;
    transform: rotateY(180deg);
}
</style>